Bug 730314 - Review Request: jboss-invocation - JBoss Invocation API
Summary: Review Request: jboss-invocation - JBoss Invocation API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 726351 728131 728171 730306 730312
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 13:13 UTC by Marek Goldmann
Modified: 2012-04-12 03:19 UTC (History)
7 users (show)

Fixed In Version: jboss-invocation-1.1.1-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 03:19:44 UTC
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Alexander Kurtakov 2011-10-18 08:21:47 UTC
Still blocked by Legal for some reason?

Comment 2 Marek Goldmann 2012-03-06 15:25:02 UTC
Rich, could you please lift the flag?

Comment 3 Richard Fontana 2012-03-06 16:37:19 UTC
Lifting FE-Legal. It is my understanding that certain corrections will be made upstream prior to completion of Fedora packaging.

Comment 5 Richard Fontana 2012-03-06 18:40:08 UTC
Actually, my mistake. No upstream changes are necessary to my knowledge. Possibly the FE-Legal block for this one was incorrect to begin with. :-)

Comment 7 Tomas Radej 2012-03-12 16:24:07 UTC
Taking it.

Comment 8 Marek Goldmann 2012-03-22 15:07:32 UTC
Ping

Comment 9 Tomas Radej 2012-03-22 16:24:55 UTC
Fails to build. ( http://koji.fedoraproject.org/koji/taskinfo?taskID=3922704 )

I assume jboss-interceptors-1.1-api BR is missing. I will evaluate the package when it builds.

Comment 11 Tomas Radej 2012-03-26 10:30:31 UTC
Sorry,the files aren't there.

Comment 12 Marek Goldmann 2012-03-26 16:10:36 UTC
Now they're in place. I missed them in my workflow, sorry.

Comment 13 Tomas Radej 2012-03-29 13:06:52 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[-]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint jboss-invocation-1.1.1-2.fc18.src.rpm

jboss-invocation.src: W: invalid-url Source0: jboss-invocation-1.1.1.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint jboss-invocation-1.1.1-2.fc18.noarch.rpm

jboss-invocation.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint jboss-invocation-javadoc-1.1.1-2.fc18.noarch.rpm

jboss-invocation-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[-]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms


*** NOTES ***
[!]: MUST Rpmlint output is silent.
>>>> Ignore this

rpmlint jboss-invocation-1.1.1-2.fc18.src.rpm

jboss-invocation.src: W: invalid-url Source0: jboss-invocation-1.1.1.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint jboss-invocation-1.1.1-2.fc18.noarch.rpm

jboss-invocation.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint jboss-invocation-javadoc-1.1.1-2.fc18.noarch.rpm

jboss-invocation-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
>>>> Would be nice to have.


Generated by fedora-review 0.1.3
External plugins:

*** APPROVED ***

Comment 14 Marek Goldmann 2012-03-29 14:05:31 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-invocation
Short Description: JBoss Invocation API
Owners:            goldmann
Branches:          f17

Comment 15 Gwyn Ciesla 2012-03-29 14:08:50 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2012-04-01 09:49:21 UTC
jboss-invocation-1.1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-invocation-1.1.1-2.fc17

Comment 17 Fedora Update System 2012-04-01 17:35:04 UTC
jboss-invocation-1.1.1-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 18 Fedora Update System 2012-04-12 03:19:44 UTC
jboss-invocation-1.1.1-2.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.